<!DOCTYPE html>
<html lang="zh">
<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"> 
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>登录页面</title>
	<script type="text/javascript" src="js/jquery-2.1.1.min.js"></script>
	<script type="text/javascript" src="js/md5.js"></script>
	<link rel="stylesheet" type="text/css" href="css/normalize.css" />
	<link rel="stylesheet" type="text/css" href="css/htmleaf-demo.css">
	<link rel="stylesheet" type="text/css" href="css/login.css">
</head>
<body>
	<div class="htmleaf-container">
		<div id="wrapper" class="login-page">
		  <div id="login_form" class="form">
		    <form class="login-form">
		      <input type="text" placeholder="用户名" id="user_name"/>
		      <input type="password" placeholder="密码" id="password"/>
		      <button id="login">登　录</button>
<!--		      <p class="message">还没有账户? <a href="#">立刻创建</a></p> -->
		    </form>
		  </div>
		</div>

		<div class="footer ">
			<div class="footer-bd ">
				<p>
					<em>Entry task by JinMing.</em>
				</p>
			</div>
		</div>
	</div>
	
	<!-- <script src="http://libs.useso.com/js/jquery/2.1.1/jquery.min.js" type="text/javascript"></script>
	<script>window.jQuery || document.write('<script src="js/jquery-2.1.1.min.js"><\/script>')</script> -->
	<script type="text/javascript">
	function shake()
	{
		$("#login_form").removeClass('shake_effect');
		setTimeout(function()
		{
		$("#login_form").addClass('shake_effect')
		},1);
	}
	function check_login()
	{
		var name=$("#user_name").val();
		var pass=$("#password").val();

		if(! /^([a-z]|[A-Z])[\w_]{4,256}$/.test( name ) ) {
			shake()
			alert("用户名只能包含大小写字母，数字和下划线，长度大于4字符")
		　　return ;
		}
		if(! /^[a-z]|[A-Z]|[\w]{4,256}$/.test( pass ) ) {
			shake()
			alert("密码只能包含大小写字母，数字，长度大于4字符")
		　　return ;
		}
		$.ajax({
			type: "POST",
			url: "http://127.0.0.1:8080/login/",
			dataType: "json",
			contentType:'application/x-www-form-urlencoded;charset=UTF-8',
			async:true,
			data: {
				"username": name,
				"password": pass
			},
			success: function(data) {
				//alert(data.data.ResCode)
				//alert(data.data.ResToken)
				if(data.code == 1000 ) {
					//alert(data.data.ResToken);
					window.localStorage["token"] = data.data.ResToken;
					window.localStorage["username"] = name;
					alert("登录成功");
					window.location.href = "usercenter.html";
				} else {
					shake()
//					alert("登陆失败：");
					alert(data.msg);
				}
			},
			error: function(data) {
				//alert(data.data)
				alert(data.code)
				//alert(typeof data.data.ResToken)
				shake()
				alert("登陆失败");
				console.dir(data)
			}
		});
	}
	$(function(){
		$("#login").click(function(){
			check_login();
			return false;
		})
	})
	</script>
</body>
</html>